Retrieve a tool
curl --request GET \
--url https://app.useduckie.ai/api/v1/tools/{tool_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.useduckie.ai/api/v1/tools/{tool_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.useduckie.ai/api/v1/tools/{tool_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"object": "tool",
"name": "<string>",
"description": "<string>",
"is_write_action": true,
"requires_approval": true,
"enabled": true,
"parameters": [
{
"name": "<string>",
"type": "<string>",
"required": true,
"description": "<string>",
"has_preset_value": true
}
],
"duckie": {
"category": "<string>",
"availability": "<string>"
},
"app": {
"integration_id": "<string>",
"integration_name": "<string>",
"connection_status": "<string>"
},
"custom": {
"endpoint": "<string>",
"method": "<string>",
"body_format": "<string>",
"headers": [
{
"name": "<string>",
"value": "<string>"
}
],
"http_timeout_sec": 123,
"auth": {}
},
"mcp": {
"server_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"server_name": "<string>",
"mcp_tool_name": "<string>",
"input_schema": {}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"retry_after": 2
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"retry_after": 2
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"retry_after": 2
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"retry_after": 2
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"retry_after": 2
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"retry_after": 2
}
}Tools
Retrieve a tool
GET
https://app.useduckie.ai
/
api
/
v1
/
tools
/
{tool_id}
Retrieve a tool
Authorizations
API key created in Duckie Settings -> API Access.
Path Parameters
Public tool ID. Duckie and app tools use duckie:<id> or app:<id>; custom and MCP tools use custom:<uuid> or mcp:<uuid>.
Response
Tool.
Show child attributes
Show child attributes
⌘I